QGIS Application - Feature request #11442
Processing: Please add an option to rasterize overwriting an exixting raster
2014-10-19 06:42 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GDAL

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 19718
Description

The old behaviour of GDAL is still useful, sometimes (e.g. to have a background of Os instead of NULLSs). Please add that option (instead
of creating a new raster from scratch).

History

#1 - 2014-10-19 02:42 PM - Giovanni Manghi

- Status changed from Open to Feedback

what parameter do you refer?

Usage: gdal_rasterize [-b band]* [-i] [-at]
[-burn value]* | [-a attribute_name] [-3d]
[- layername]” [-where expression] [-sql select_statement]
[-of format] [-a_srs srs_def] [-co "NAME=VALUE"]*
[-a_nodata value] [-init value]*
[-te xmin ymin xmax ymax] [-tr xres yres] [-tap] [-ts width height]
[-ot {Byte/Int16/UInt16/UInt32/Int32/Float32/Float64/

CInt16/CInt32/CFloat32/CFloat64}] [-q]

<src_datasource> <dst_filename>

#2 - 2014-10-19 11:32 PM - Paolo Cavallini

dst_filename:

The GDAL supported output file. Must support update mode access. Before GDAL 1.8.0, gdal_rasterize could not create new output files.

I mean, it would be useful to specify an existing raster to burn the values on, so the user will be sure of the background value, extent and resolution.

#3 - 2014-10-20 04:47 AM - Giovanni Manghi

Paolo Cavallini wrote:

dst_filename:

The GDAL supported output file. Must support update mode access. Before GDAL 1.8.0, gdal_rasterize could not create new output files.

I mean, it would be useful to specify an existing raster to burn the values on, so the user will be sure of the background value, extent and resolution.

2025-05-18 12




can you please post a gdal_rasterize command that shows as this works? just to have a working example to work on.

#4 - 2014-10-21 04:59 AM - Paolo Cavallini
- Status changed from Feedback to Open

No special option: from the command line, if you provide a file name, it will be used as a basis, if not it will be created

#5 - 2014-10-21 02:24 PM - Giovanni Manghi

see

https://github.com/qgis/QGIS/pull/1650

#6 - 2015-01-31 01:36 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Open to Closed
